/*
  FLAG scripts. Currently maintained by
    stephen@mpeforth.com

  These scripts are designed to make it easy to implement pages
  on the FLAG website with a consistent appearance. Although these
  scripts are verbose, the script file will be cached by the browser
  and so the overall size (and hence comms traffic) of a session
  is reduced.
*/

/* SiteLevel HTML Searchbox Code */
function showsearch()
{
/* We don't have a registration with SiteLevel yet, so this code is commented out
  document.writeln('<form method="get" action="http://www.sitelevel.com//query.go" TARGET="_self">');
  document.writeln('<table border="0" cellspacing="0" cellpadding="0" bgcolor="#57626a">');
  document.writeln('  <tr>');
  document.writeln('   <td align="right">');
  document.writeln('     <table cellspacing="0" cellpadding="2" border="0">');
  document.writeln('       <tr>');
  document.writeln('         <td align="right" valign="middle" nowrap>');
  document.writeln('           <input type="hidden" NAME="crid" value="35f9849d0874bafe">');
  document.writeln('           <input type="text" NAME="query" SIZE="17" value="" MAXLENGTH="100">');
  document.writeln('         </td>');
  document.writeln('         <td valign="middle" align="right">');
  document.writeln('           <input type="submit" value="Search" name="B1">');
  document.writeln('         </td>');
  document.writeln('       </tr>');
  document.writeln('     </table>');
  document.writeln('   </td>');
  document.writeln('  </tr>');
  document.writeln('</table>');
  document.writeln('</form>');
  document.writeln('<img src="http://sitelevel.whatuseek.com/htmlbox.go?crid=35f9849d0874bafe" width="1" height="1">');
*/
}

/*
  This is the horizontal banner with your page title
*/
function pagebanner(h1text)
{
  document.writeln('<div id="header">');
  document.writeln('<table border=0 cellspacing=0 cellpadding=0>');
  document.writeln('<tr>');
  document.writeln('  <td width="80%">');
  document.writeln('    <h1>'+h1text+'</h1>');
  document.writeln('    <h2>FLAG - <i>Forth Library Action Group</i></h2>');
  document.writeln('  </td>');
  document.writeln('  <td width="20%"><br>');
  showsearch();
  document.writeln('  </td>');
  document.writeln('</table>');
  document.writeln('</div>');
/*  hmenubar(); */
}

/*
  Issue a string to get to the root level of the FLAG directory tree.
  It's not a pretty implementation, but it works even when testing
  on a local file system.
*/
function toroot(level)
{
  var str="";
  if( level != 0 )
  {
    for( var count=0; count < level; count++ )
      str = str + "../" ;
  }
  return( str );
}

/*
  This is the vertical left-hand sidebar, the files it references
  are adjusted to the FLAG root level.
*/
function vlevelsidebar(level)
{
  document.writeln('<div class="left" align="left">');
/*  document.writeln('<IMG BORDER=0 SRC="flaglogo.gif" WIDTH=130>'); */
  document.writeln('<br><br><B><FONT SIZE=+1>');
  document.writeln('Forth Library Action Group');
  document.writeln('</FONT>');
  document.writeln('<br/>');
  document.writeln('</B>');
  document.writeln('<h2>Sections</h2>');
  document.writeln('<ul>');
  document.writeln('<li><A HREF="' + toroot(level) + 'index.html">Home</A></li>');
  document.writeln('<li><A HREF="' + toroot(level) + 'extern/index.html">C library interface</A></li>');
  document.writeln('<li><A HREF="' + toroot(level) + 'anstests/index.html">ANS test suite</A></li>');
  document.writeln('<li><A HREF="' + toroot(level) + 'fms/index.html">FMS and FMS+ - Forth Meets Smalltalk</A></li>');
  document.writeln('<li><A HREF="' + toroot(level) + 'swoop/index.html">SWOOP - Swift Object Oriented Programming</A></li>');
  document.writeln('<li><A HREF="' + toroot(level) + 'ffl/index.html">FFL - Forth Foundation Library</A></li>');
  document.writeln('<li><A HREF="' + toroot(level) + 'fsl/index.html">FSL - Forth Scientific Library</A></li>');
  document.writeln('<li><A HREF="' + toroot(level) + 'fd/index.html">Forth Dimensions - mirror</A></li>');
  document.writeln('<li><A HREF="' + toroot(level) + 'jfar/index.html">JFAR - Journal of Forth Applications and Research</A></li>');
  document.writeln('<li><A HREF="http://www.forth.hccnet.nl/vijgebladarchief/">Dutch FIG archive</A> (external)</li>');
  document.writeln('<li><A HREF="' + toroot(level) + 'fig-uk/index.htm">UK FIG mirror</A></li>');
  document.writeln('<li><A HREF="' + toroot(level) + 'links.html">Links</A></li>');
  document.writeln('</ul>');
  document.writeln('<h2>About</h2>');
  document.writeln('<ul>');
  document.writeln('<li><A HREF="' + toroot(level) + 'using.html">FLAG</A></li>');
  document.writeln('<li><A HREF="' + toroot(level) + 'forth.html">Forth</A></li>');
  document.writeln('</ul>');
  document.writeln('</div>');
}

/* This is the vertical left-hand sidebar for FLAG root level pages */
function vlsidebar()
{
  vlevelsidebar(0);
}

/* This is the vertical left-hand sidebar for FLAG library level pages */
function vlibsidebar()
{
  vlevelsidebar(1);
}

/*
  Common menu code. The parameter indicates how many levels the
  page is above the FLAG root page.
*/
function levelmenu(level)
{
  document.writeln('<ul id="menu">');
  document.writeln('  <li><a href="' + toroot(level) + 'index.html"><b>Home</b></a></li>');
  document.writeln('  <li><a href="' + toroot(level) + 'using.html"><b>Using FLAG</b></a></li>');
  document.writeln('  <li><a class="sub" href="' + toroot(level) + 'libraries.html"><b>Libraries</b><!--[if gte IE 7]><!--></a><!--<![endif]-->');
  document.writeln('    <!--[if lte IE 6]><table><tr><td><![endif]-->');
  document.writeln('    <ul>');
  document.writeln('      <li><a class="fly" href="#url">Hosted Systems<!--[if gte IE 7]><!--></a><!--<![endif]-->');
  document.writeln('      <!--[if lte IE 6]><table><tr><td><![endif]-->');
  document.writeln('        <ul>');
  document.writeln('          <li><a href="' + toroot(level) + 'extern/index.html">Access DLLs and SOs</a></li>');
  document.writeln('          <li><a href="' + toroot(level) + 'fsl/index.html">FSL - Forth Scientific Lib.</a></li>');
  document.writeln('        </ul>');
  document.writeln('      <!--[if lte IE 6]></td></tr></table></a><![endif]-->');
  document.writeln('      </li>');
/*
  document.writeln('      <li><a class="fly" href="#url">Embedded<!--[if gte IE 7]><!--></a><!--<![endif]-->');
  document.writeln('      <!--[if lte IE 6]><table><tr><td><![endif]-->');
  document.writeln('        <ul>');
  document.writeln('          <li><a href="#url">Dropdown 2.1</a></li>');
  document.writeln('          <li><a href="#url">Dropdown 2.2</a></li>');
  document.writeln('          <li><a href="#url">Dropdown 2.3</a></li>');
  document.writeln('          <li><a href="#url">Dropdown 2.4</a></li>');
  document.writeln('          <li><a href="#url">Dropdown 2.5</a></li>');
  document.writeln('        </ul>');
  document.writeln('      <!--[if lte IE 6]></td></tr></table></a><![endif]-->');
  document.writeln('      </li>');
*/
  document.writeln('      <li><a class="fly" href="#url">General<!--[if gte IE 7]><!--></a><!--<![endif]-->');
  document.writeln('      <!--[if lte IE 6]><table><tr><td><![endif]-->');
  document.writeln('        <ul>');
  document.writeln('          <li><a href="' + toroot(level) + 'anstests/index.html">ANS Forth test suite</a></li>');
  document.writeln('          <li><A HREF="' + toroot(level) + 'fms/index.html">FMS and FMS+ - Forth Meets Smalltalk</A></li>');
  document.writeln('          <li><A HREF="' + toroot(level) + 'swoop/index.html">SWOOP - Swift Object Oriented Programming</A></li>');
  document.writeln('          <li><A HREF="' + toroot(level) + 'ffl/index.html">FFL - Forth Foundation Library</A></li>');
  document.writeln('	    </ul>');
  document.writeln('      <!--[if lte IE 6]></td></tr></table></a><![endif]-->');
  document.writeln('      </li>');
  document.writeln('      <li><a href="' + toroot(level) + 'links.html"><b>Links</b></a></li>');
  document.writeln('    </ul>');
  document.writeln('  <!--[if lte IE 6]></td></tr></table></a><![endif]-->');
  document.writeln('  </li>');

  document.writeln('  <li><a class="sub" href="#url"><b>Literature</b><!--[if gte IE 7]><!--></a><!--<![endif]-->');
  document.writeln('    <!--[if lte IE 6]><table><tr><td><![endif]-->');
  document.writeln('    <ul>');
  document.writeln('      <li><A HREF="' + toroot(level) + 'jfar/index.html">JFAR</A></li>');
  document.writeln('      <li><a href="' + toroot(level) + 'fd/index.html">Forth Dimensions</a></li>');
  document.writeln('      <li><A HREF="http://www.forth.hccnet.nl/vijgebladarchief/">Dutch FIG archive</A></li>');
  document.writeln('      <li><A HREF="' + toroot(level) + 'fig-uk/index.htm">UK FIG mirror</A></li>');
  document.writeln('    </ul>');
  document.writeln('  <!--[if lte IE 6]></td></tr></table></a><![endif]-->');
  document.writeln('  </li>');

  document.writeln('  <li id="support"><a href="' + toroot(level) + 'support.html"><b>Support</b></a></li>');
  document.writeln('  <li id="contact"><a href="' + toroot(level) + 'contact.html"><b>Contact</b></a></li>');
  document.writeln('</ul>');
}

/* Common menu for library pages */
function libmenu()
{
  levelmenu(1);
}

/* Common menu for root pages */
function rootmenu()
{
  levelmenu(0);
}

function footer( level )
{
  document.writeln('<div id="footer">');
  document.writeln('<p align="right">');
  document.writeln('<A HREF="#top"><IMG BORDER=0 SRC="' + toroot(level) + 'totop.gif" alt="Top">Return to Top</A>');
  document.writeln('<A HREF="' + toroot(level) + 'index.html"><IMG BORDER=0 SRC="' + toroot(level) + 'tohome.gif" alt="Home">Return to HomePage</A>');
  document.writeln('</p>');
  document.writeln('<P><I>Designed with help from <a href="http://www.free-css-templates.com/">David Herreman</a>');
  document.writeln('and <b>the Architect</b>.');
  document.writeln('</I></P>');
  document.writeln('<p><i>Menus from <a href="http://www.cssmenus.co.uk">http://www.cssmenus.co.uk</a></i></p>');
/*
  document.writeln('<p><i>Search by <a href="http://www.sitelevel.com">sitelevel</A>.</i></p>');
*/
  document.writeln('<CENTER>');
  document.writeln('<B>The Forth Webring</B>');
  document.writeln('<BR>');
  document.writeln('[<A HREF="http://www.webring.org/cgi-bin/webring?ring=forth&amp;id=26&amp;prev" target="_top">Prev</A>]');
  document.writeln('[<A HREF="http://www.webring.org/cgi-bin/webring?random&amp;ring=forth" target="_top">Random</A>]');
  document.writeln('[<A HREF="http://www.webring.org/cgi-bin/webring?ring=forth&amp;list" target="_top">List Sites</A>]');
  document.writeln('[<A HREF="http://www.webring.org/cgi-bin/webring?ring=forth&amp;id=26&amp;next" target="_top">Next</A>]');
  document.writeln('[<A HREF="http://www.webring.org/cgi-bin/webring?ring=forth&amp;id=26&amp;next5" target="_top">Next 5</A>]');
  document.writeln('</CENTER>');
  document.writeln('</div>');
}

function rootfooter()
{
  footer(0);
}

function libfooter()
{
  footer(1);
}
